Index: src/compdic/compdic-update-fst
===================================================================
--- src/compdic/compdic-update-fst	(revision 555c7f814bf87fa10240e98295372095bc422115)
+++ src/compdic/compdic-update-fst	(revision c03f8a55bd64219f62cbaf31130a731e5f6b083d)
@@ -1,3 +1,5 @@
 #! /bin/bash
+
+set -e
 
 if [ $# -lt 2 ]
@@ -34,4 +36,10 @@
 echo updating $dict ...
 
+if ! (( `cat $dicminus $dicplus | wc -l` ))
+then
+	echo "Empty diff."
+	exit 1
+fi
+
 if (( `cat $dicminus | wc -l` ))
 then
